libpagemaker::PMDRectangle Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libpagemaker::PMDRectangle Class Reference

`#include <geometry.h>`

Inheritance diagram for libpagemaker::PMDRectangle:

## Public Member Functions
| PMDRectangle (const PMDShapePoint &bboxTopLeft, const PMDShapePoint &bboxBotRight, const PMDXForm &xFormContainer, const PMDFillProperties fillProps, const PMDStrokeProperties strokeProps)
virtual double | getRotation () const
virtual double | getSkew () const
virtual PMDShapePoint | getXformTopLeft () const
virtual PMDShapePoint | getXformBotRight () const
virtual PMDShapePoint | getRotatingPoint () const
virtual PMDShapePoint | getBboxTopLeft () const
virtual PMDShapePoint | getBboxBotRight () const
virtual bool | getIsClosed () const
virtual std::vector< PMDShapePoint > | getPoints () const
virtual uint8_t | shapeType () const
virtual PMDFillProperties | getFillProperties () const
virtual PMDStrokeProperties | getStrokeProperties () const
virtual std::string | getText () const
virtual std::vector< PMDCharProperties > | getCharProperties () const
virtual std::vector< PMDParaProperties > | getParaProperties () const
virtual librevenge::RVNGBinaryData | getBitmap () const
virtual | ~PMDRectangle ()
Public Member Functions inherited from libpagemaker::PMDLineSet
virtual | ~PMDLineSet ()

## Private Attributes
PMDShapePoint | m_bboxTopLeft
PMDShapePoint | m_bboxBotRight
PMDXForm | m_xFormContainer
PMDFillProperties | m_fillProps
PMDStrokeProperties | m_strokeProps

## Constructor & Destructor Documentation

libpagemaker::PMDRectangle::PMDRectangle | ( | const PMDShapePoint & | bboxTopLeft,
|  | const PMDShapePoint & | bboxBotRight,
|  | const PMDXForm & | xFormContainer,
|  | const PMDFillProperties | fillProps,
|  | const PMDStrokeProperties | strokeProps
| ) |  |
| inline

virtual libpagemaker::PMDRectangle::~PMDRectangle | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual PMDShapePoint libpagemaker::PMDRectangle::getBboxBotRight | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual PMDShapePoint libpagemaker::PMDRectangle::getBboxTopLeft | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual librevenge::RVNGBinaryData libpagemaker::PMDRectangle::getBitmap | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual std::vector<PMDCharProperties> libpagemaker::PMDRectangle::getCharProperties | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual PMDFillProperties libpagemaker::PMDRectangle::getFillProperties | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual bool libpagemaker::PMDRectangle::getIsClosed | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual std::vector<PMDParaProperties> libpagemaker::PMDRectangle::getParaProperties | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual std::vector<PMDShapePoint> libpagemaker::PMDRectangle::getPoints | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual PMDShapePoint libpagemaker::PMDRectangle::getRotatingPoint | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual double libpagemaker::PMDRectangle::getRotation | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual double libpagemaker::PMDRectangle::getSkew | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual PMDStrokeProperties libpagemaker::PMDRectangle::getStrokeProperties | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual std::string libpagemaker::PMDRectangle::getText | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual PMDShapePoint libpagemaker::PMDRectangle::getXformBotRight | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual PMDShapePoint libpagemaker::PMDRectangle::getXformTopLeft | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

virtual uint8_t libpagemaker::PMDRectangle::shapeType | ( |  | ) | const
| inlinevirtual

Implements libpagemaker::PMDLineSet.

## Member Data Documentation

PMDShapePoint libpagemaker::PMDRectangle::m_bboxBotRight
| private

PMDShapePoint libpagemaker::PMDRectangle::m_bboxTopLeft
| private

PMDFillProperties libpagemaker::PMDRectangle::m_fillProps
| private

PMDStrokeProperties libpagemaker::PMDRectangle::m_strokeProps
| private

PMDXForm libpagemaker::PMDRectangle::m_xFormContainer
| private

The documentation for this class was generated from the following file:

- geometry.h